.articles {
  width: 300px;
  height: 200px;
  background-color: #f0f0f0;
  background-size: cover;
  background-position: center;
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.3);
  padding: 20px;
  position: relative;
  margin-left: 15px;
  overflow: hidden;
}
.articles-container-homePage {
  display: inline-flex;
  flex-wrap: wrap;
  gap: 20px;
  margin-bottom: 15px;
}
.articles a {
  text-decoration: none;
  color: #007bff;
}
.articles:hover .innerElement {
  opacity: 1;
}
.articles a:hover {
  color: #0056b3;
}

.articles .innerElement {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 10px;
  opacity: 0;
  transition: opacity 0.3s ease;
  background-color: rgba(255, 255, 255, 0.9);
  transform: translateY(100%);
}

.articles:hover .innerElement {
  transform: translateY(0);
}

.articles .likes .icon {
  margin-right: 4px;
}

.articles .likes {
  color: #00c853;
  display: inline-flex;
  align-items: center;
}

.articles .tags {
  font-style: italic;
}
.articles .title {
  font-weight: bold;
}
